# selenium-testng-template

A template project to seep up automation test. 

It's based on:
1. Java 8
2. Maven
3. TestNG
4. Selenium 3
5. logback


Functions:
1. Sending report email.
2. Writing Logs
3. Managing different Drivers
4. Take screen shot when test failure
5. Data provider
6. Read test data from JSON, XML, Excel, Ymal and properties files.
7. Build HTML report, with separate log and screenshot in parallel mode.

How to use:
1. Create test case which extends BaseTestCase, or BaseWebTestCase.
2. Create testng test suite xml files. Setting parameters url, browser and environment.
3. Run testng cases with "mvn test -Dfile=your_suite.xml"!
